#ifndef utils_h
#define utils_h

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <time.h>


#define TAB_SIZE 1000
struct data {
    long time;
    unsigned int write;
    unsigned int comparison;
    unsigned int ct_fusion;
    unsigned int ct_parse;
};

long* readToTab(char* file, int *sizze);
void initData(struct data* d);
long* generate_tab(size_t max, size_t length);
void printData(struct data d);

#endif
